Subject: Re: drill press

From: [email-masked]
Date: Fri, 2 Aug 1996 02:06:10 -0400

>Does anyone know much about a Craftsman drill press?  I'm looking at (besides
>the swage block that everyone has so generously spoken to me about tonight)
>  a small one--8 inch--three speed.  It slows down to 620.  Has a 1/3 horse
>motor.  Is this enough guts for me to drill metal?  I'm worried about being
>able to drill stock steel--1/2  round .  Work?  Or not?
>
>
>Thanks
>
>Cynthia
>
>PS  Thanks all for the info on forges and swages....will be building a forge
>and am still thinking about the swage.
>
>--XAA05705.838958136/emout17.mail.aol.com--

        Cynthia,

I just happen to work for sears.  I personally wouldn't buy one.  The green
drill press on the cover of harbor freight is comprable to the craftsman
and costs half as much.  I don't think either of them will do the job for
very long, but if you buy the green one you'll have enough left over for a
spare.